Index: /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 3578)
@@ -135,7 +135,7 @@
           Thread.Sleep(RESULT_POLLING_INTERVAL_MS);
           lock (locker) {
-            HiveLogger.Debug("HiveEngine: Results-polling - GetLastResult");
+            Logger.Debug("HiveEngine: Results-polling - GetLastResult");
             response = executionEngineFacade.GetLastSerializedResult(jobId, false);
-            HiveLogger.Debug("HiveEngine: Results-polling - Server: " + response.StatusMessage + " success: " + response.Success);
+            Logger.Debug("HiveEngine: Results-polling - Server: " + response.StatusMessage + " success: " + response.Success);
             // loop while 
             // 1. the user doesn't request an abort 
@@ -145,7 +145,7 @@
             if (abortRequested) return;
             if (response.Success && response.Obj != null) {
-              HiveLogger.Debug("HiveEngine: Results-polling - Got result!");
+              Logger.Debug("HiveEngine: Results-polling - Got result!");
               restoredJob = (Job)PersistenceManager.RestoreFromGZip(response.Obj.SerializedJobData);
-              HiveLogger.Debug("HiveEngine: Results-polling - IsSnapshotResult: " + (restoredJob.Progress<1.0));
+              Logger.Debug("HiveEngine: Results-polling - IsSnapshotResult: " + (restoredJob.Progress < 1.0));
             }
           }
@@ -157,5 +157,5 @@
         OnFinished();
       });
-      HiveLogger.Debug("HiveEngine: Starting results-polling thread");
+      Logger.Debug("HiveEngine: Starting results-polling thread");
       t.Start();
     }
@@ -166,11 +166,11 @@
       ResponseObject<SerializedJob> response;
       lock (locker) {
-        HiveLogger.Debug("HiveEngine: Abort - RequestSnapshot");
+        Logger.Debug("HiveEngine: Abort - RequestSnapshot");
         Response snapShotResponse = executionEngineFacade.RequestSnapshot(jobId);
         if (snapShotResponse.StatusMessage == ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED) {
           // job is finished already
-          HiveLogger.Debug("HiveEngine: Abort - GetLastResult(false)");
+          Logger.Debug("HiveEngine: Abort - GetLastResult(false)");
           response = executionEngineFacade.GetLastSerializedResult(jobId, false);
-          HiveLogger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
+          Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
         } else {
           // server sent snapshot request to client
@@ -178,7 +178,7 @@
           do {
             Thread.Sleep(SNAPSHOT_POLLING_INTERVAL_MS);
-            HiveLogger.Debug("HiveEngine: Abort - GetLastResult(true)");
+            Logger.Debug("HiveEngine: Abort - GetLastResult(true)");
             response = executionEngineFacade.GetLastSerializedResult(jobId, true);
-            HiveLogger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
+            Logger.Debug("HiveEngine: Abort - Server: " + response.StatusMessage + " success: " + response.Success);
             retryCount++;
             // loop while
@@ -194,5 +194,5 @@
       SerializedJob jobResult = response.Obj;
       if (jobResult != null) {
-        HiveLogger.Debug("HiveEngine: Results-polling - Got result!");
+        Logger.Debug("HiveEngine: Results-polling - Got result!");
         job = (Job)PersistenceManager.RestoreFromGZip(jobResult.SerializedJobData);
         ControlManager.Manager.ShowControl(job.Engine.CreateView());
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 3578)
@@ -55,8 +55,4 @@
       this.chContent = new System.Windows.Forms.ColumnHeader();
       this.chDetails = new System.Windows.Forms.ColumnHeader();
-      this.lvSnapshots = new System.Windows.Forms.ListView();
-      this.chClientCalculated = new System.Windows.Forms.ColumnHeader();
-      this.chProgress = new System.Windows.Forms.ColumnHeader();
-      this.chSnapshotTime = new System.Windows.Forms.ColumnHeader();
       this.lblProgress = new System.Windows.Forms.Label();
       this.lblStatus = new System.Windows.Forms.Label();
@@ -85,8 +81,8 @@
       this.menuItemAddGroup = new System.Windows.Forms.ToolStripMenuItem();
       this.menuItemDeleteGroup = new System.Windows.Forms.ToolStripMenuItem();
+      this.menuItemOpenCalendar = new System.Windows.Forms.ToolStripMenuItem();
       this.lvClientControl = new System.Windows.Forms.ListView();
       this.tcManagementConsole = new System.Windows.Forms.TabControl();
       this.checkBox1 = new System.Windows.Forms.CheckBox();
-      this.menuItemOpenCalendar = new System.Windows.Forms.ToolStripMenuItem();
       this.menuStrip1.SuspendLayout();
       this.plClientDetails.SuspendLayout();
@@ -350,5 +346,4 @@
       this.plJobDetails.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
       this.plJobDetails.Controls.Add(this.lvJobDetails);
-      this.plJobDetails.Controls.Add(this.lvSnapshots);
       this.plJobDetails.Controls.Add(this.lblProgress);
       this.plJobDetails.Controls.Add(this.lblStatus);
@@ -372,5 +367,5 @@
       this.lvJobDetails.Location = new System.Drawing.Point(17, 124);
       this.lvJobDetails.Name = "lvJobDetails";
-      this.lvJobDetails.Size = new System.Drawing.Size(382, 175);
+      this.lvJobDetails.Size = new System.Drawing.Size(382, 243);
       this.lvJobDetails.TabIndex = 17;
       this.lvJobDetails.UseCompatibleStateImageBehavior = false;
@@ -386,35 +381,4 @@
       this.chDetails.Text = "Details";
       this.chDetails.Width = 255;
-      // 
-      // lvSnapshots
-      // 
-      this.lvSnapshots.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
-            this.chClientCalculated,
-            this.chProgress,
-            this.chSnapshotTime});
-      this.lvSnapshots.Enabled = false;
-      this.lvSnapshots.FullRowSelect = true;
-      this.lvSnapshots.GridLines = true;
-      this.lvSnapshots.Location = new System.Drawing.Point(17, 310);
-      this.lvSnapshots.Name = "lvSnapshots";
-      this.lvSnapshots.Size = new System.Drawing.Size(382, 69);
-      this.lvSnapshots.TabIndex = 16;
-      this.lvSnapshots.UseCompatibleStateImageBehavior = false;
-      this.lvSnapshots.View = System.Windows.Forms.View.Details;
-      // 
-      // chClientCalculated
-      // 
-      this.chClientCalculated.Text = "Client Calculated";
-      this.chClientCalculated.Width = 112;
-      // 
-      // chProgress
-      // 
-      this.chProgress.Text = "Progress";
-      this.chProgress.Width = 100;
-      // 
-      // chSnapshotTime
-      // 
-      this.chSnapshotTime.Text = "Snapshot request";
-      this.chSnapshotTime.Width = 166;
       // 
       // lblProgress
@@ -657,5 +621,5 @@
             this.menuItemOpenCalendar});
       this.contextMenuGroup.Name = "contextMenuJob";
-      this.contextMenuGroup.Size = new System.Drawing.Size(154, 92);
+      this.contextMenuGroup.Size = new System.Drawing.Size(154, 70);
       // 
       // menuItemAddGroup
@@ -670,4 +634,10 @@
       this.menuItemDeleteGroup.Size = new System.Drawing.Size(153, 22);
       this.menuItemDeleteGroup.Text = "Delete Group";
+      // 
+      // menuItemOpenCalendar
+      // 
+      this.menuItemOpenCalendar.Name = "menuItemOpenCalendar";
+      this.menuItemOpenCalendar.Size = new System.Drawing.Size(153, 22);
+      this.menuItemOpenCalendar.Text = "Open Calendar";
       // 
       // lvClientControl
@@ -705,10 +675,4 @@
       this.checkBox1.Text = "checkBox1";
       this.checkBox1.UseVisualStyleBackColor = true;
-      // 
-      // menuItemOpenCalendar
-      // 
-      this.menuItemOpenCalendar.Name = "menuItemOpenCalendar";
-      this.menuItemOpenCalendar.Size = new System.Drawing.Size(153, 22);
-      this.menuItemOpenCalendar.Text = "Open Calendar";
       // 
       // HiveServerManagementConsole
@@ -782,7 +746,4 @@
     private System.Windows.Forms.Label lblStatus;
     private System.Windows.Forms.Label lblProgress;
-    private System.Windows.Forms.ListView lvSnapshots;
-    private System.Windows.Forms.ColumnHeader chClientCalculated;
-    private System.Windows.Forms.ColumnHeader chProgress;
     private System.Windows.Forms.Label lblStateClient;
     private System.Windows.Forms.Label lblState;
@@ -796,5 +757,4 @@
     private System.Windows.Forms.ListView lvJobControl;
     private System.Windows.Forms.CheckBox checkBox1;
-    private System.Windows.Forms.ColumnHeader chSnapshotTime;
     private System.Windows.Forms.ContextMenuStrip contextMenuJob;
     private System.Windows.Forms.ToolStripMenuItem menuItemAbortJob;
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 3578)
@@ -242,5 +242,6 @@
         CloneList(jobsOld, out jobsOldHelp);
 
-        GetDelta(jobsOld.List, jobsOldHelp);
+        if(jobsOld != null && jobsOld.List != null && jobsOldHelp != null)
+          GetDelta(jobsOld.List, jobsOldHelp);
 
       }
@@ -419,16 +420,23 @@
       lvJobDetails.Items.Clear();
 
-      lvSnapshots.Enabled = true;
-
-      if (currentJob.State == State.offline) {
+      ResponseObject<JobDto> response = ServiceLocator.GetJobManager().GetJobByIdWithDetails(currentJob.Id);
+
+      if(response.Success == false || response.Obj == null)
+        return;
+
+      JobDto job = response.Obj;
+
+      //lvSnapshots.Enabled = true;
+
+      if (job.State == State.offline) {
         pbJobControl.Image = ilLargeImgJob.Images[2];
-      } else if (currentJob.State == State.calculating) {
+      } else if (job.State == State.calculating) {
         pbJobControl.Image = ilLargeImgJob.Images[1];
-      } else if (currentJob.State == State.finished) {
+      } else if (job.State == State.finished) {
         pbJobControl.Image = ilLargeImgJob.Images[0];
       }
 
-      lblJobName.Text = currentJob.Id.ToString();
-      if (currentJob.Percentage != null) {
+      lblJobName.Text = job.Id.ToString();
+      if (job.Percentage != null) {
         progressJob.Value = (int) (currentJob.Percentage*100);
         lblProgress.Text = (int) (currentJob.Percentage*100) + "% calculated";
@@ -437,5 +445,5 @@
       ListViewItem lvi = new ListViewItem();
       lvi.Text = "User:";
-      lvi.SubItems.Add(currentJob.UserId.ToString());
+      lvi.SubItems.Add(job.UserId.ToString());
       lvJobDetails.Items.Add(lvi);
 
@@ -443,12 +451,12 @@
       lvi = new ListViewItem();
       lvi.Text = "created at:";
-      lvi.SubItems.Add(currentJob.DateCreated.ToString());
+      lvi.SubItems.Add(job.DateCreated.ToString());
       lvJobDetails.Items.Add(lvi);
 
-      if (currentJob.ParentJob != null) {
+      if (job.ParentJob != null) {
         lvi = null;
         lvi = new ListViewItem();
         lvi.Text = "Parent job:";
-        lvi.SubItems.Add(currentJob.ParentJob.ToString());
+        lvi.SubItems.Add(job.ParentJob.ToString());
         lvJobDetails.Items.Add(lvi);
       }
@@ -457,20 +465,20 @@
       lvi = new ListViewItem();
       lvi.Text = "Priority:";
-      lvi.SubItems.Add(currentJob.Priority.ToString());
+      lvi.SubItems.Add(job.Priority.ToString());
       lvJobDetails.Items.Add(lvi);
 
-      if (currentJob.Project != null) {
+      if (job.Project != null) {
         lvi = null;
         lvi = new ListViewItem();
         lvi.Text = "Project:";
-        lvi.SubItems.Add(currentJob.Project.Name.ToString());
+        lvi.SubItems.Add(job.Project.Name.ToString());
         lvJobDetails.Items.Add(lvi);
       }
 
-      if (currentJob.Client != null) {
+      if (job.Client != null) {
         lvi = null;
         lvi = new ListViewItem();
         lvi.Text = "Calculation begin:";
-        lvi.SubItems.Add(currentJob.DateCalculated.ToString());
+        lvi.SubItems.Add(job.DateCalculated.ToString());
         lvJobDetails.Items.Add(lvi);
 
@@ -479,29 +487,16 @@
         lvi = new ListViewItem();
         lvi.Text = "Client calculated:";
-        lvi.SubItems.Add(currentJob.Client.Name.ToString());
+        lvi.SubItems.Add(job.Client.Name.ToString());
         lvJobDetails.Items.Add(lvi);
 
-        if (currentJob.State == State.finished) {
-          IJobManager jobManager =
-            ServiceLocator.GetJobManager();
-          ResponseObject<JobResult> jobRes = null;
-          //Todo: jobManager.GetLastJobResultOf(currentJob.Id);
-
-          if (jobRes != null && jobRes.Obj != null) {
-            lvi = null;
+        if (job.State == State.finished) {
+          lvi = null;
             lvi = new ListViewItem();
             lvi.Text = "Calculation ended:";
-            lvi.SubItems.Add(jobRes.Obj.DateFinished.ToString());
+            lvi.SubItems.Add(job.DateFinished.ToString());
             lvJobDetails.Items.Add(lvi);
           }
         }
-      }
-      if (currentJob.State != State.offline) {
-        lvSnapshots.Items.Clear();
-        GetSnapshotList();
-      } else {
-        lvSnapshots.Visible = false;
-      }
-    }
+      } 
 
     /// <summary>
@@ -776,10 +771,15 @@
     private void CloneList(ResponseList<JobDto> oldList, out IDictionary<int, JobDto> newList) {
       newList = new Dictionary<int, JobDto>();
-      for (int i = 0; i < oldList.List.Count; i++) {
-        newList.Add(i, oldList.List[i]);
+      if (oldList != null && oldList.List != null) {
+        for (int i = 0; i < oldList.List.Count; i++) {
+          newList.Add(i, oldList.List[i]);
+        }
       }
     }
 
     private bool IsEqual(ClientDto ci1, ClientDto ci2) {
+      if (ci1 == null && ci2 == null) {
+        return true;
+      }
       if (ci2 == null) {
         return false;
@@ -849,29 +849,4 @@
     }
 
-    private void GetSnapshotList() {
-
-      lvSnapshots.Items.Clear();
-      IJobManager jobManager = ServiceLocator.GetJobManager();
-
-      ResponseList<JobResult> jobRes = jobManager.GetAllJobResults(currentJob.Id);
-
-      if (jobRes != null && jobRes.List != null) {
-        foreach (JobResult jobresult in jobRes.List) {
-          ListViewItem curSnapshot = new ListViewItem(jobresult.ClientId.ToString());
-          double percentage = jobresult.Percentage * 100;
-          curSnapshot.SubItems.Add(percentage.ToString() + " %");
-          curSnapshot.SubItems.Add(jobresult.Timestamp.ToString());
-          lvSnapshots.Items.Add(curSnapshot);
-        }
-      }
-
-      if ((jobRes.List == null) || (jobRes.List.Count == 0)) {
-        lvSnapshots.Visible = false;
-      } else {
-        lvSnapshots.Visible = true;
-      }
-
-    }
-
     #endregion
 
